kr.co.hanwha.hifive.admin.admin.adapter.viewholder

## Class AdminVersionListViewHolder

- java.lang.Object
- - android.support.v7.widget.RecyclerView.ViewHolder
  - - kr.co.hanwha.hifive.base.BaseViewHolder
    - - kr.co.hanwha.hifive.admin.admin.adapter.viewholder.AdminVersionListViewHolder

    public class AdminVersionListViewHolder
    extends BaseViewHolder

### Field Summary

Fields
`private android.widget.ImageView` `mImageViewForced`
`private android.widget.LinearLayout` `mLayoutContainer`
`private AdminVersionListAdapter.OnAdminVersionListListener` `mOnAdminVersionListListener`
`private android.widget.TextView` `mTextViewDelete`
`private android.widget.TextView` `mTextViewEdit`
`private android.widget.TextView` `mTextViewNotice`
`private android.widget.TextView` `mTextViewPlatform`
`private android.widget.TextView` `mTextViewStringBundle`
`private android.widget.TextView` `mTextViewUpdate`
`private android.widget.TextView` `mTextViewUrl`
`private android.widget.TextView` `mTextViewVersion`

### Fields inherited from class android.support.v7.widget.RecyclerView.ViewHolder

`itemView`

### Constructor Summary

Constructors
Constructor and Description
`AdminVersionListViewHolder(android.view.ViewGroup viewGroup, AdminVersionListAdapter.OnAdminVersionListListener onAdminVersionListListener)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `onBind(java.lang.Object object, int index)`
`static void` `setUrlText(android.widget.TextView textView, java.lang.String message, AdminVersionListAdapter.OnAdminVersionListListener onAdminVersionListListener)`

### Methods inherited from class kr.co.hanwha.hifive.base.BaseViewHolder

`getContext, getHeight`

### Methods inherited from class android.support.v7.widget.RecyclerView.ViewHolder

`getAdapterPosition, getItemId, getItemViewType, getLayoutPosition, getOldPosition, getPosition, isRecyclable, setIsRecyclable, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### mLayoutContainer

    private android.widget.LinearLayout mLayoutContainer

#### mTextViewPlatform

    private android.widget.TextView mTextViewPlatform

#### mTextViewStringBundle

    private android.widget.TextView mTextViewStringBundle

#### mTextViewVersion

    private android.widget.TextView mTextViewVersion

#### mImageViewForced

    private android.widget.ImageView mImageViewForced

#### mTextViewUpdate

    private android.widget.TextView mTextViewUpdate

#### mTextViewNotice

    private android.widget.TextView mTextViewNotice

#### mTextViewUrl

    private android.widget.TextView mTextViewUrl

#### mTextViewDelete

    private android.widget.TextView mTextViewDelete

#### mTextViewEdit

    private android.widget.TextView mTextViewEdit

#### mOnAdminVersionListListener

    private AdminVersionListAdapter.OnAdminVersionListListener mOnAdminVersionListListener

### Constructor Detail

#### AdminVersionListViewHolder

    public AdminVersionListViewHolder(@NonNull
                                      android.view.ViewGroup viewGroup,
                                      @Nullable
                                      AdminVersionListAdapter.OnAdminVersionListListener onAdminVersionListListener)

### Method Detail

#### onBind

    public void onBind(java.lang.Object object,
                       int index)

Overrides:
  `onBind` in class `BaseViewHolder`

#### setUrlText

    public static void setUrlText(@NonNull
                                  android.widget.TextView textView,
                                  @Nullable
                                  java.lang.String message,
                                  @Nullable
                                  AdminVersionListAdapter.OnAdminVersionListListener onAdminVersionListListener)